source 'http://rubygems.org'

source 'https://jamjam:blueberryjam@int.jamkazam.com/gems/'
ruby_version = ENV["JAM_RUBY_VERSION"]
ruby_version = "2.3.1" if ruby_version.nil?

ruby ruby_version

devenv = ENV["BUILD_NUMBER"].nil?

if devenv
  #gem 'jam_db', :path=> "../db/target/ruby_package"
  gem 'jampb', :path => "../pb/target/ruby/jampb"
  gem 'jam_ruby', :path => "../ruby"
else
  source 'https://jamjam:blueberryjam@int.jamkazam.com/gems/' do
    #gem 'jam_db', "0.1.#{ENV["BUILD_NUMBER"]}"
    gem 'jampb',  "0.1.#{ENV["BUILD_NUMBER"]}"
    gem 'jam_ruby',  "0.1.#{ENV["BUILD_NUMBER"]}"
    ENV['NOKOGIRI_USE_SYSTEM_LIBRARIES'] ||= "true"
  end
end

gem 'activeadmin_addons'
gem 'json', '1.8.6'
gem 'rails', '= 4.2.8'
gem 'protected_attributes'
gem 'rails-observers'


# PINNED TO SUPPORT BOTH 2.3.1 and 2.4.1 Ruby simultaneously
# This should be the same in ruby/admin/web/websocket-gateway
#######
gem 'nokogiri', '1.10.10' # added to pin before 1.11.0, which requires at leaost ruby 2.5.  unpin we go above
gem 'sprockets', '3.6.3' # added to pin before 4.0.0, which requiurse at least ruby 2.5
gem 'fog-brightbox', '0.11.0' # pinned until we are on ruby 2.5; then remove
gem 'faraday', '0.9.2' # pinned untnil we are on ruby 2.5; then remove
gem 'ruby-prof', '0.15.9' # pinned until we are on ruby 2.5; then remove
gem 'rubyzip', '1.2.1'  # pinned until we are on ruby 2.5; then remove
gem 'recurly', '2.18.16' # should upgrade to 3.x when we have time to validaate
gem 'icalendar', '2.4.0' # pinned until we are on ruby 2.5; then remove
gem 'email_validator', '1.6.0' # pinned until we are on ruby 2.5, then remove
gem 'redis', '3.3.3' # pinned until we are on 2.5; then remove
gem 'redis-namespace', '1.5.3' # pinned until we are on 2.5; then remove
gem 'oj', '3.1.3' # pinned until we are on 2.5; then remove
gem 'bcrypt', '3.1.15'
gem 'sass-rails', '5.0.7' # compiler mismatch issue between build and www
gem 'sass', '3.5.5 '# compiler mismatch issue between build and www
#######

gem 'bootstrap-sass', '2.0.4'

gem 'coffee-rails' #, '~> 3.2.1'

# See https://github.com/sstephenson/execjs#readme for more supported runtimes
# gem 'therubyracer', :platforms => :ruby

gem 'kickbox'
gem 'uglifier' #, '>= 1.0.3'
gem 'net-ssh'
gem 'sprockets-rails', '2.3.2'

# this version is pinned due to this: https://github.com/gregbell/active_admin/issues/1939
gem 'coffee-script-source' #, '~> 1.4.0' # ADD THIS LINE, 1.5.0 doesn't compile ActiveAdmin JavaScript files
gem 'devise' #, '3.3.0'
gem 'will_paginate' #, '3.0.3'
gem 'bootstrap-will_paginate', '0.0.6'
gem 'carrierwave', '0.11.2' #, '0.9.0'
gem 'carrierwave_direct'
gem 'uuidtools', '2.1.2'
gem 'jquery-ui-rails'# , '5.0.5' #, '4.2.1'
gem 'jquery-rails'# , '4.1.1'  # both this and jquery-ui-rails are pinned; if you unpin, jquery/autocomplete is missing during precomplie
gem 'rails-jquery-autocomplete' # This is the maintained version of rails3-jquery-autocomplete
gem 'activeadmin' #, '1.0.0.pre4'# github: 'activeadmin', branch: 'master'
gem 'activeadmin-searchable_select'
gem 'mime-types', '1.25'
#gem 'meta_search'
gem 'fog'
gem 'xmlrpc'
gem 'unf', '0.1.3' #optional fog dependency
gem 'country-select'
gem 'aasm' #, '3.0.16'
gem 'postgres-copy', '0.6.0'
gem 'aws-sdk', '~> 1'
gem 'bugsnag', '5.3.2'
gem 'gon'
gem 'cocoon'
gem 'haml-rails'
gem 'resque'
gem 'resque-retry'
gem 'resque-failed-job-mailer'
gem 'resque-lonely_job', '~> 1.0.0'
gem 'eventmachine', '1.2.3'
gem 'amqp', '0.9.8'
#gem 'logging-rails', :require => 'logging/rails'
#gem 'pg_migrate', '0.1.14'
if ENV["MODERN_OS"] == "1"
  gem 'pg', '0.21.0'
else
  # on mac, bundle config build.pg --with-cflags="-Wno-error=implicit-function-declaration"
  gem 'pg', '0.17.1', :platform => [:mri, :mswin, :mingw]
end
gem 'ruby-protocol-buffers', '1.2.2'
gem 'sendgrid', '1.2.0'
gem 'geokit-rails'
gem 'postgres_ext' #, '1.0.0'
gem 'resque_mailer'
gem 'rest-client'
gem 'iso-639'
gem 'sanitize'
gem 'slim'
#gem 'influxdb', '0.1.8'
#gem 'influxdb-rails', '0.1.10'
gem 'influxdb', '0.3.14'
gem 'influxdb-rails', '0.1.12'
gem 'sendgrid_toolkit', '>= 1.1.1'
gem 'stripe'
gem 'zip-codes'
gem 'best_in_place' #, github: 'bernat/best_in_place'
gem 'auto_strip_attributes', '2.6.0'
gem 'elasticsearch'

gem 'logging', '1.7.2'

#group :libv8 do
#  gem 'libv8', "~> 4.5.95"
#end


# To use Jbuilder templates for JSON
# gem 'jbuilder'

group :production do
  gem 'unicorn'
end

group :package do
   gem 'fpm'
end

# Deploy with Capistrano
# gem 'capistrano'

# To use debugger
#gem 'debugger'  # not working with 2.1.2p95

group :development, :test do
  gem 'capybara', '2.13.0'
  gem 'rspec-rails' #, '2.14.2'
  gem 'jasmine', '1.3.1' 
  gem 'execjs', '1.4.0'
  #gem 'therubyracer' #, '0.11.0beta8'
  gem 'factory_girl_rails' # , '4.1.0'
  gem 'database_cleaner' #, '0.7.0'
  gem 'launchy', '2.4.3' # can unpin when go to ruby 2.4+
  gem 'faker', '1.3.0'
  gem 'puma'
  gem 'test-unit'
end

group :test do
  gem 'simplecov', '~> 0.7.1'
  gem 'simplecov-rcov'
#  gem 'capybara-webkit'
#  gem 'capybara-screenshot', '0.3.22' # 1.0.0 broke compat with rspec.  maybe we need newer rspec
#  gem 'poltergeist'
end

gem 'pry'
gem 'pry-remote'
gem 'pry-stack_explorer'
#gem 'pry-debugger'
